apiVersion: operators.coreos.com/v1alpha1
kind: ClusterServiceVersion
metadata:
  annotations:
    alm-examples: '[{"apiVersion":"operator.knative.dev/v1alpha1","kind":"KnativeServing","metadata":{"name":"knative-serving"},"spec":{}},
                  {"apiVersion":"operator.knative.dev/v1alpha1","kind":"KnativeEventing","metadata":{"name":"knative-eventing"},"spec":{}}]'
    capabilities: Basic Install
    categories: Networking,Integration & Delivery,Cloud Provider,Developer Tools
    certified: "false"
    containerImage: gcr.io/knative-releases/knative.dev/operator/cmd/operator:v0.15.1
    createdAt: "2020-06-23T00:00:00Z"
    description: |-
      Knative components build on top of Kubernetes, abstracting away the complex details and
      enabling developers to focus on what matters. Built by codifying the best practices
      shared by successful real-world implementations, Knative solves the "boring but difficult"
      parts of deploying and managing cloud native services so you don't have to.
    repository: https://github.com/knative/operator
    support: The Knative Authors
  name: knative-operator.v0.15.1
  namespace: placeholder
spec:
  apiservicedefinitions: {}
  customresourcedefinitions:
    owned:
    - description: Represents an installation of a particular version of Knative Serving
      displayName: Knative Serving
      kind: KnativeServing
      name: knativeservings.operator.knative.dev
      statusDescriptors:
      - description: The version of Knative Serving installed
        displayName: Version
        path: version
        x-descriptors:
        - 'urn:alm:descriptor:text'
      version: v1alpha1
      specDescriptors: []
      resources:
      - version: v1
        kind: Deployment
      - version: v1
        kind: Service
      - version: v1
        kind: ReplicaSet
      - version: v1
        kind: Pod
      - version: v1
        kind: Secret
      - version: v1
        kind: ConfigMap
    - description: Represents an installation of a particular version of Knative Eventing
      displayName: Knative Eventing
      kind: KnativeEventing
      name: knativeeventings.operator.knative.dev
      statusDescriptors:
      - description: The version of Knative Eventing installed
        displayName: Version
        path: version
        x-descriptors:
        - 'urn:alm:descriptor:text'
      version: v1alpha1
      specDescriptors: []
      resources:
      - version: v1
        kind: Deployment
      - version: v1
        kind: Service
      - version: v1
        kind: ReplicaSet
      - version: v1
        kind: Pod
      - version: v1
        kind: Secret
      - version: v1
        kind: ConfigMap
    required: []
  description: |+
    ## Knative Serving
       Knative Serving builds on Kubernetes to support deploying and serving of
       applications and functions as serverless containers. Serving is easy to get
       started with and scales to support advanced scenarios. Other features
       includes:
       - Rapid deployment of serverless containers
       - Automatic scaling up and down to zero
       - Routing and network programming
       - Point-in-time snapshots of deployed code and configurations

     ## Knative Eventing
       Knative Eventing is a system that is designed to address a common need for cloud native
       development and provides composable primitives to enable late-binding event sources and
       event consumers.
       Knative Eventing is designed to address a common need for cloud native development:
       - Services are loosely coupled during development and deployed independently
       - A producer can generate events before a consumer is listening, and a consumer
          can express an interest in an event or class of events that is not yet being
          produced.
       - Services can be connected to create new applications
          * without modifying producer or consumer, and
          * with the ability to select a specific subset of events from a particular
            producer.
  displayName: Knative Operator
  icon:
  - base64data: [encoded data, 10260 characters]
    mediatype: image/png
  install:
    spec:
      clusterPermissions:
      - rules:
        - apiGroups:
          - '*'
          resources:
          - '*'
          verbs:
          - '*'
        serviceAccountName: knative-operator
      deployments:
      - name: knative-operator
        spec:
          replicas: 1
          selector:
            matchLabels:
              name: knative-operator
          strategy: {}
          template:
            metadata:
              annotations:
                sidecar.istio.io/inject: "false"
              labels:
                name: knative-operator
            spec:
              containers:
              - env:
                - name: POD_NAME
                  valueFrom:
                    fieldRef:
                      fieldPath: metadata.name
                - name: OPERATOR_NAME
                  value: knative-operator
                - name: SYSTEM_NAMESPACE
                  valueFrom:
                    fieldRef:
                      fieldPath: metadata.namespace
                - name: METRICS_DOMAIN
                  value: knative.dev/operator
                - name: CONFIG_LOGGING_NAME
                  value: config-logging
                - name: CONFIG_OBSERVABILITY_NAME
                  value: config-observability
                image: gcr.io/knative-releases/knative.dev/operator/cmd/operator:v0.15.1
                imagePullPolicy: IfNotPresent
                name: knative-operator
                ports:
                - containerPort: 9090
                  name: metrics
                resources: {}
              serviceAccountName: knative-operator
      permissions:
      - rules:
        - apiGroups:
          - ""
          resources:
          - pods
          - services
          - endpoints
          - persistentvolumeclaims
          - events
          - configmaps
          - secrets
          verbs:
          - '*'
        - apiGroups:
          - ""
          resources:
          - namespaces
          verbs:
          - get
        - apiGroups:
          - apps
          resources:
          - deployments
          - daemonsets
          - replicasets
          - statefulsets
          verbs:
          - '*'
        - apiGroups:
          - monitoring.coreos.com
          resources:
          - servicemonitors
          verbs:
          - get
          - create
        - apiGroups:
          - apps
          resourceNames:
          - knative-operator
          resources:
          - deployments/finalizers
          verbs:
          - update
        - apiGroups:
          - operator.knative.dev
          resources:
          - '*'
          verbs:
          - '*'
        serviceAccountName: knative-operator
    strategy: deployment
  installModes:
  - supported: false
    type: OwnNamespace
  - supported: false
    type: SingleNamespace
  - supported: false
    type: MultiNamespace
  - supported: true
    type: AllNamespaces
  keywords:
  - serverless
  - FaaS
  - microservices
  - scale to zero
  - knative
  - serving
  - eventing
  links:
  - name: Documentation
    url: https://www.knative.dev/docs/
  - name: Source Repository
    url: https://github.com/knative
  maintainers:
  - email: knative-dev@googlegroups.com
    name: The Knative Authors
  maturity: alpha
  minKubeVersion: 1.15.0
  provider:
    name: The Knative Authors
  selector: {}
  version: 0.15.1
